#!/bin/sh
echo
echo "Installing Octaga Player..."
echo "------------------------------------"
cp -r usr /

if [ -d "/usr/lib/mozilla/plugins" ]
then
  echo "Enabling plugin in Mozilla..."

  if [ -e "/usr/lib/mozilla/plugins/npOctaga.so" ]
  then
    rm /usr/lib/mozilla/plugins/npOctaga.so
  fi

  ln -s /usr/lib/octagaplayer/npOctaga.so /usr/lib/mozilla/plugins/npOctaga.so
fi

if [ -d "/usr/lib/firefox/plugins" ]
then
  echo "Enabling plugin in Firefox..."

  if [ -e "/usr/lib/firefox/plugins/npOctaga.so" ]
  then
    rm -f /usr/lib/firefox/plugins/npOctaga.so
  fi

  ln -s /usr/lib/octagaplayer/npOctaga.so /usr/lib/firefox/plugins/npOctaga.so
fi

echo
echo "Octaga Player dependencies:"
echo "- GTK+ 2.0"
echo "- OpenAL"
echo

echo "Run Octaga Player by running 'octagaplayer' from the command line."
echo
